Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.xml.binding
Class DtdMarshaller

    java.lang.Object
      org.jboss.xml.binding.AbstractMarshaller
          org.jboss.xml.binding.DtdMarshaller

All Implemented Interfaces:
  Marshaller

public class DtdMarshaller
extends AbstractMarshaller

A DTD based org.jboss.xml.binding.Marshaller implementation.

Version:
  `$Revision: 1.9.2.1 $`
Author:
  Alexey Loubyansky

Nested Class Summary

Nested classes inherited from class org.jboss.xml.binding.AbstractMarshaller
`AbstractMarshaller.ClassMapping, AbstractMarshaller.QName, AbstractMarshaller.Stack, AbstractMarshaller.StackImpl`

Nested classes inherited from class org.jboss.xml.binding.Marshaller
`Marshaller.FACTORY`

Field Summary

Fields inherited from class org.jboss.xml.binding.AbstractMarshaller
`encoding, rootQNames, version`

Fields inherited from interface org.jboss.xml.binding.Marshaller
`ENCODING, PROP_MARSHALLER, PROP_OUTPUT_INDENTATION, PROP_OUTPUT_XML_VERSION, VERSION`

Constructor Summary
`DtdMarshaller()`

Method Summary
`protected static com.wutka.dtd.DTDElement[]` | `getRootList(com.wutka.dtd.DTD dtd)`
`void` | `mapPublicIdToSystemId(String publicId, String systemId)`
`void` | `marshal(Reader dtdReader, ObjectModelProvider provider, Object document, Writer writer)`
`protected static void` | `removeElements(Hashtable h, com.wutka.dtd.DTD dtd, com.wutka.dtd.DTDItem item)`

Methods inherited from class org.jboss.xml.binding.AbstractMarshaller
`addRootElement, getClassMapping, getProperty, mapClassToNamespace, mapClassToNamespace, marshal, propertyIsTrueOrNotSet, setEncoding, setProperty, setVersion, writeXmlVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DtdMarshaller

    public DtdMarshaller()

Method Detail

### mapPublicIdToSystemId

    public void mapPublicIdToSystemId(String publicId,
                                      String systemId)

  Specified by:
    `mapPublicIdToSystemId` in interface `Marshaller`
  Overrides:
    `mapPublicIdToSystemId` in class `AbstractMarshaller`

### marshal

    public void marshal(Reader dtdReader,
                        ObjectModelProvider provider,
                        Object document,
                        Writer writer)
                 throws IOException,
                        SAXException

  Throws:
    `IOException`
    `SAXException`

### getRootList

    protected static com.wutka.dtd.DTDElement[] getRootList(com.wutka.dtd.DTD dtd)

  Parameters:
    `dtd` - the DTD object model
  Returns:
    root element names

### removeElements

    protected static void removeElements(Hashtable h,
                                         com.wutka.dtd.DTD dtd,
                                         com.wutka.dtd.DTDItem item)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.